View Issue Details

IDProjectCategoryView StatusLast Update
0003915unrealircdpublic2013-06-03 13:26
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.10 
Summary0003915: Unreal3.2.10 TODO
DescriptionParent bug for TODO's for 3.2.10 (or whatever it will be called)

Right now it's purpose is to make clear which requests will not be done in 3.2.9, but possibly in .10.

IMPORTANT: Several of the items here may be reassigned to 3.3* and vice versa!!
Additional InformationUsual disclaimer:
* Some things here might not be done, many other things not mentioned here will be done.
* Please do not post any bugnotes here. Post bugnotes in the original bugreports instead. Understand, though, that mass-posting to every and each issue "this should be in next version" will not be appreciated either.
* There's no clear ETA regarding this release, and if any estimate is given at a later point, then understand that these are date/time ESTIMATES, and are rarely 100% correct.
TagsNo tags attached.
3rd party modules

Relationships

parent of 0001245 resolvedsyzop I/O engine / poll() support 
parent of 0003900 resolvedsyzop UHNAMES following HTM 
parent of 0003953 resolvedsyzop Mode +I for hiding oper Idle times. 
parent of 0003967 resolvedsyzop [patch] Use modern numeric replies for LUSERS 
parent of 0004049 resolvedsyzop Using a version named folder at the tarball 
parent of 0004064 resolvedohnobinki Expose STARTTLS support in ISUPPORT 
parent of 0004078 resolvedsyzop [feature] make NOSPOOF runtime configurable 
parent of 0004091 resolvedsyzop Make curl use poll with USE_POLL 
parent of 0004019 resolvedsyzop SSL Client Certificate Fingerprint Authentication 
parent of 0004104 resolvedsyzop modulize client CAP system & add disable options 
child of 0003055 resolvedsyzop Server-side MLOCK support 

Activities

syzop

2010-07-02 10:22

administrator   ~0016135

Also go through #3049 (3.3 suggestions/features):
1) see what can be backported (also go through 3.3* changelog)
2) see what can be done what was originally scheduled for 3.3*

syzop

2012-10-15 21:30

administrator   ~0017178

* Updated c-ares to latest version today.
* I've already rebuild all libraries on Windows to recent versions, which is always quite some work (though not too bad this time).

Now only left to do are 1 or maybe 2 issues, and that's it.

Then write release notes, update versions everywhere, and compile Windows builds.

syzop

2012-10-15 21:32

administrator   ~0017179

Oh... and create a subforum on forums.unrealircd.com with items to test.. that also takes 1-2 hours.. grmpf. But is important ;)

We'll see.. expect a 3.2.10-something release on Wednesday.. and be happy if it's on Tuesday already ;)

syzop

2012-10-17 15:43

administrator   ~0017184

Last edited: 2012-10-17 15:43

View 2 revisions

3.2.10-rc1 has been put on the website.

I'm going to wait another X hours, or maybe wait until tomorrow, and then send out an announcement.

syzop

2012-12-25 18:10

administrator   ~0017277

Unreal3.2.10 released & Unreal3.4 development
http://forums.unrealircd.com/viewtopic.php?f=2&t=8122&p=36590

Issue History

Date Modified Username Field Change
2010-07-02 10:08 syzop New Issue
2010-07-02 10:08 syzop QA => Not touched yet by developer
2010-07-02 10:08 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-02 10:08 syzop U4: Upstream notification of bug => Not decided
2010-07-02 10:08 syzop U4: Contributor working on this => None
2010-07-02 10:09 syzop Relationship added parent of 0001245
2010-07-02 10:22 syzop Relationship added child of 0003012
2010-07-02 10:22 syzop Note Added: 0016135
2010-07-02 10:28 syzop Relationship added parent of 0001631
2010-07-14 16:44 syzop Relationship added parent of 0003927
2010-07-14 17:18 syzop Sticky Issue No => Yes
2010-07-14 17:18 syzop Relationship added parent of 0003900
2010-07-14 17:26 syzop Relationship added parent of 0003702
2010-07-14 21:25 syzop Relationship added child of 0003055
2010-07-14 21:31 syzop Relationship added parent of 0002406
2010-07-16 13:12 syzop Relationship added parent of 0003937
2010-07-19 11:49 syzop Relationship added parent of 0003919
2010-07-22 12:03 syzop Relationship added parent of 0003941
2010-09-19 16:55 syzop Relationship added parent of 0003953
2010-09-19 18:42 ohnobinki Relationship added parent of 0003950
2010-09-20 14:31 ohnobinki Relationship deleted parent of 0003950
2010-11-17 18:54 syzop Relationship added parent of 0003966
2010-11-17 19:31 syzop Relationship deleted parent of 0003966
2010-11-17 19:33 syzop Relationship added parent of 0003966
2010-11-20 10:57 syzop Relationship added parent of 0003967
2010-11-20 10:57 syzop Relationship added parent of 0003968
2010-11-20 11:14 syzop Description Updated View Revisions
2011-01-01 18:45 syzop Relationship added parent of 0003995
2011-01-02 19:25 syzop Relationship deleted parent of 0003995
2011-02-12 13:36 user7428 Tag Attached: OPER
2011-02-12 13:37 user7428 Status new => has patch
2011-02-13 10:00 syzop Tag Detached: OPER
2011-02-13 10:00 syzop Status has patch => new
2011-07-17 23:24 syzop Relationship added parent of 0003972
2011-07-19 17:13 syzop Relationship deleted parent of 0003966
2011-11-05 20:53 syzop Relationship deleted parent of 0003968
2011-11-26 19:10 syzop Relationship added parent of 0004049
2011-12-18 20:04 Stealth Relationship added parent of 0004061
2011-12-19 19:13 syzop Relationship deleted parent of 0004061
2011-12-20 23:31 ohnobinki Relationship added parent of 0004064
2012-02-08 11:29 syzop Relationship added parent of 0004078
2012-02-26 18:52 syzop Relationship added parent of 0004091
2012-02-26 21:30 syzop Relationship added parent of 0004089
2012-02-26 21:32 syzop Relationship added parent of 0004084
2012-02-26 22:02 syzop Relationship added parent of 0004019
2012-04-09 10:43 syzop Relationship added parent of 0004104
2012-10-06 11:41 syzop Relationship deleted parent of 0003919
2012-10-06 11:47 syzop Relationship deleted parent of 0003937
2012-10-06 11:48 syzop Relationship deleted parent of 0004084
2012-10-06 12:06 syzop Relationship deleted parent of 0003927
2012-10-06 12:18 syzop Issue cloned: 0004128
2012-10-06 12:21 syzop Relationship deleted parent of 0004089
2012-10-06 12:22 syzop Relationship deleted parent of 0003972
2012-10-06 12:23 syzop Relationship deleted parent of 0001631
2012-10-06 12:24 syzop Relationship deleted parent of 0003702
2012-10-06 12:26 syzop Relationship deleted parent of 0002406
2012-10-15 15:07 syzop Relationship deleted parent of 0003941
2012-10-15 21:27 syzop Relationship deleted child of 0003012
2012-10-15 21:30 syzop Note Added: 0017178
2012-10-15 21:32 syzop Note Added: 0017179
2012-10-17 15:43 syzop Note Added: 0017184
2012-10-17 15:43 syzop Note Edited: 0017184 View Revisions
2012-12-25 18:10 syzop Note Added: 0017277
2012-12-25 18:10 syzop Status new => resolved
2012-12-25 18:10 syzop Fixed in Version => 3.2.10
2012-12-25 18:10 syzop Resolution open => fixed
2012-12-25 18:10 syzop Assigned To => syzop
2013-06-03 13:26 syzop Sticky Issue Yes => No
2014-03-14 01:14 peterkingalexander Issue cloned: 0004301